package com.gosingapore.common.enums;

/**
 * 预录入枚举
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum AdvanceStatusEnum {
    /**
     * ENTER：           录入
     * REGISTER：        注册
     * WEB_REGISTER:    web页分享注册
     */
    ENTER(0),
    REGISTER(1),
    WEB_REGISTER(2);
    private Integer value;

    AdvanceStatusEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
