package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author guocong
 * @date 2020/3/4 9:14
 */
@AllArgsConstructor
public enum AppPlayTypeEnum {


    /**
     * 活动
     */
    PLAY(1),
    /**
     * 广告
     */
    ADVERTISING(2);

    @Getter
    private Integer value;

    public static AppPlayTypeEnum instanceOf(Integer value){
        for (AppPlayTypeEnum typeEnum : AppPlayTypeEnum.values()){
            if(typeEnum.value.equals(value)){
                return typeEnum;
            }
        }
        return null;
    }

}
