package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shuyan
 */
@AllArgsConstructor
public enum Dict110ClientIdEnum {
    /**
     *
     */
    ERP(1,"erp"),
    CP(2,"cp"),
    PC(3,"pc"),
    APP_BUS(4,"app_bus"),
    APP_CSM(5,"app_csm"),
    PARTNER(6,"partner");
    @Getter
    private Integer code;
    @Getter
    private String client;
    public static final int CODE_TYPE = 110;

    public static Dict110ClientIdEnum instanceOf(String client){
        for(Dict110ClientIdEnum dict110ClientIdEnum : Dict110ClientIdEnum.values()){
            if(dict110ClientIdEnum.client.equals(client)){
                return dict110ClientIdEnum;
            }
        }
        return null;
    }

    public static Dict110ClientIdEnum instanceOf(Integer code){
        for(Dict110ClientIdEnum dict110ClientIdEnum : Dict110ClientIdEnum.values()){
            if(dict110ClientIdEnum.code.equals(code)){
                return dict110ClientIdEnum;
            }
        }
        return null;
    }
}
