package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否在公海
 *
 * @author ljq
 */
@AllArgsConstructor
public enum EmployerLevelEnum {
    /**
     * MAIN:原雇主
     * DUPLICATE：关联重复雇主
     */
    MAIN(1),
    DUPLICATE(2);

    @Getter
    private Integer value;

}
