package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ljq
 * @date 2020/03/13
 */
@AllArgsConstructor
public enum EmployerRoleEnum {
    /**
     * ROLE_EMPLOYER：雇主
     */
    ROLE_EMPLOYER("ROLE_EMPLOYER");

    @Getter
    private String roleCode;
    public static final int PARTY_CODE = 4;

    public static List<String> getEmployerRoleList() {
        List<String> list = new ArrayList<>();
        EmployerRoleEnum[] values = EmployerRoleEnum.values();
        for (EmployerRoleEnum item : values) {
            list.add(item.getRoleCode());
        }
        return list;
    }

}
