package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 中介用户类型
 *
 * @author ljq
 */

@AllArgsConstructor
public enum IntermediaryUserTypeEnum {

    /**
     * USER  用户
     * ADMIN 管理员
     */
    USER(0),
    ADMIN(1);

    @Getter
    private Integer value;

}
