package com.gosingapore.common.enums;

/**
 * @author zbw
 */
@SuppressWarnings("unused")
public enum InviteTypeEnum {

    /**
     * WORKER_DELIVER：         业务主动投递，仅用于判断，数据库未使用该值
     * EMPLOYER_INVITE：        雇主邀约
     * ADVISER_RECOMMEND:       顾问推荐
     */
    WORKER_DELIVER(0),
    EMPLOYER_INVITE(1),
    ADVISER_RECOMMEND(2);
    private Integer value;

    InviteTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
