package com.gosingapore.common.enums;

/**
 * @author zbw
 */
@SuppressWarnings("unused")
public enum InviteUserTypeEnum {

    /**
     * 推荐或邀约角色intermediary
     * 1业务，2电文，3文员，4雇主，5中介
     */
    BUSINESS(1),
    TEL_CLERK(2),
    CLERK(3),
    EMPLOYER(4),
    INTERMEDIARY(5);
    private Integer value;

    InviteUserTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
