package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 职位草稿状态
 *
 * @author ljq
 */
@AllArgsConstructor
public enum JobSyncStatusEnum {
    /**
     * DEFAULT：新增默认
     * TO_BE_AUDIT：待审核
     * AUDITED：已审核
     */
    DEFAULT(0),
    TO_BE_AUDIT(1),
    AUDITED(2);

    @Getter
    private Integer value;
}