package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author baihaibo 2020/3/17 15:38
 */
@AllArgsConstructor
@Getter
public enum ReportJobHallEnum {

    /**
     * YEWU_AGREE:报单
     * INTERVIEW:面试
     * CHECKED:选中
     * UN_CHECKED:未选中
     */
    YEWU_AGREE(24, "报单"),
    INTERVIEW(52, "面试"),
    CHECKED(60, "选中"),
    UN_CHECKED(58, "未选中");

    private Integer code;

    private String value;

    public static String getValueByCode(Integer code) {
        for (ReportJobHallEnum reportJobHallEnum : values()) {
            if (reportJobHallEnum.code.equals(code)) {
                return reportJobHallEnum.value;
            }
        }
        return null;
    }
}
