package com.gosingapore.common.enums.ai;

/**
 * 表
 *
 * @author ZhangJinyu
 * @since 2020-03-03
 */
public enum TableValueEnum {
    /**
     * 未知的
     */
    NONE,
    /**
     * 中国行政区划 表
     */
    GS_REGION,
    /**
     * 马来的家乡 表
     */
    GS_HOMETOWN,
    /**
     * 新加坡的地铁站表
     */
    GS_SUBWAY;


    public static TableValueEnum get(String tableValue) {
        for (TableValueEnum value : values()) {
            if (value.name().equalsIgnoreCase(tableValue)) {
                return value;
            }
        }
        return NONE;
    }

    /**
     * 是否是未知的
     *
     * @return
     */
    public boolean isNone() {
        return this.equals(NONE);
    }
}
