package com.gosingapore.common.enums.dict;

/**
 * 软删除标记字典
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum Dict106SelfUserGradeEnum {
    /**
     * GROUP_MEMBER：    组员
     * GROUP_LEADER：    组长
     * HEAD：            主管
     * MANAGER：         经理
     * REGION_MANAGER：  大区经理
     * GENERAL_MANAGER： 总经理
     */
    GROUP_MEMBER(0,"组员"),
    GROUP_LEADER(1,"组长"),
    HEAD(2,"主管"),
    MANAGER(3,"经理"),
    REGION_MANAGER(4,"大区经理"),
    GENERAL_MANAGER(5,"总经理");
    public static final int CODE = 106;
    private final Integer value;
    private final String name;

    Dict106SelfUserGradeEnum(Integer value,String name) {
        this.value = value;
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public String getName(){
        return name;
    }

    public static String getNameByValue(Integer value) {
        for (Dict106SelfUserGradeEnum item : values()) {
            if (item.getValue().equals(value)) {
                return item.getName();
            }
        }
        return null;
    }

}
