package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * app消息类型
 * @author shuyan
 * @date 2020/4/22 19:17
 */
@AllArgsConstructor
public enum Dict124AppMsgTypeEnum {
    /**
     *
     */
    SYSTEM(1),
    DELIVER(2);

    @Getter
    private Integer value;

    public static Dict124AppMsgTypeEnum instanceOf(Integer value){
        for(Dict124AppMsgTypeEnum typeEnum : Dict124AppMsgTypeEnum.values()){
            if(typeEnum.getValue().equals(value)){
                return typeEnum;
            }
        }
        return null;
    }
}
