package com.gosingapore.common.enums.dict;

import lombok.Getter;

/**
 * @author qiwenxiao
 */

public enum Dict125ComplainTypeEnum {
    /**
     * 去狮城平台
     */
    APP(0),
    /**
     * 雇主
     */
    EMP(1),
    /**
     * 业务
     */
    CUSTOMER(2),
    /**
     * 中介
     */
    YW(3),
    /**
     * 文员
     */
    DW(4),
    /**
     * 电文
     */
    WY(5),
    /**
     * 工人
     */
    INTER(6),
    /**
     * 复合电文
     */
    CP_DW(7);
    /**
     * 枚举值
     */
    @Getter
    private final Integer value;

    Dict125ComplainTypeEnum(Integer value) {
        this.value = value;
    }
    public static Dict125ComplainTypeEnum instanceOf(Integer value) {
        for (Dict125ComplainTypeEnum classEnum : Dict125ComplainTypeEnum.values()) {
            if (classEnum.value.equals(value)) {
                return classEnum;
            }
        }
        return null;
    }
}
