package com.gosingapore.common.enums.dict;

/**
 * 消息推送分类字典
 *
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum Dict127MsgRemindClassEnum {

    /**
     * 1 核实
     * 2 报单
     * 3 面试
     * 4 手续办理
     * 5 财务
     * 6 已完结
     * 7 黑名单
     */
    VERIFY(1),
    DECLARATION(2),
    INTERVIEW(3),
    FORMALITIES(4),
    FINANCE(5),
    FINISHED(6),
    BLACKLIST(7);
    public static final Integer CODE = 127;
    private Integer value;

    Dict127MsgRemindClassEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static Dict127MsgRemindClassEnum instanceOf(Integer value) {
        for (Dict127MsgRemindClassEnum classEnum : Dict127MsgRemindClassEnum.values()) {
            if (classEnum.value.equals(value)) {
                return classEnum;
            }
        }
        return null;
    }
}
