package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 白海波
 * @date 2020/6/17 13:28
 */
@AllArgsConstructor
@Getter
public enum Dict132AccoutTypeEnum {

    /**
     * WE_CHAT : 1,微信
     * ALI_PAY： 2,支付宝
     * BANK_CARD：3,银行卡
     */
    WE_CHAT(1, "微信"),
    ALI_PAY(2, "支付宝"),
    BANK_CARD(3, "银行卡");

    public static final Integer CODE = 132;

    private Integer code;

    private String value;
    
    public static Dict132AccoutTypeEnum instanceOf(Integer code) {
        for (Dict132AccoutTypeEnum dict132AccoutTypeEnum : Dict132AccoutTypeEnum.values()) {
            if (dict132AccoutTypeEnum.getCode().equals(code)) {
                return dict132AccoutTypeEnum;
            }
        }
        return null;
    }
    
}
