package com.gosingapore.common.enums.dict;

/**
 * 付款类型
 * @author fangqiguang
 */

public enum Dict134PayTypeEnum {
    /**
     * FullPay:全款
     * ByStages:分期
     */
    FullPay(1),
    ByStages(2);

    public static final Integer CODE = 134;
    private Integer value;

    Dict134PayTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

}
