package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author ZhangJinyu
 * @since 2020-10-07
 */
@Getter
@AllArgsConstructor
public enum Dict164AdTypeEnum {
    /**
     * 浮层广告
     */
    FLOATING(1),
    /**
     * 闪屏页广告
     */
    SPLASH(2),
    /**
     * banner广告
     */
    BANNER(3),
    /**
     * 热门活动
     */
    HOT_ACTIVITY(4);
    Integer adType;

    public static Dict164AdTypeEnum getAdType(Integer adType) {
        for (Dict164AdTypeEnum value : values()) {
            if (value.adType.equals(adType)) {
                return value;
            }
        }
        return null;
    }
}
