package com.gosingapore.common.enums.dict;

import lombok.Getter;

/**
 * App分享目标人群
 *
 * @author：齐文枭
 */
@Getter
public enum Dict175AppShareTarget {
    /**
     * 工人
     */
    WORKER(1),
    /**
     * 雇主
     */
    EMPLOYER(2),
    /**
     * 专员
     */
    COMMISSIONER(3),
    /**
     * 业务
     */
    YE_WU(4),
    /**
     * 电文
     */
    DIAN_WEN(5),
    ;
    private final Integer code;
    public static final Integer CODE_TYPE = 175;
    Dict175AppShareTarget(Integer code) {
        this.code = code;
    }
}
