package com.gosingapore.common.enums.dict;

/**
 * 性别字典
 *
 * @author ljq
 */
public enum Dict3SexEnum {
    /**
     * MAN 男
     * WOMAN 女
     * NO_LIMIT 不先
     */
    MAN(1),
    WOMAN(2),
    NO_LIMIT(3);
    public static final int CODE = 3;
    private Integer value;

    Dict3SexEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
