package com.gosingapore.common.enums.dict;

/**
 * 消息推送范围字典
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum Dict44MsgRemindScopeEnum {
    /**
     * WHOLE：           全体
     * PARTY：           用户所属方
     * PERSONAL:         个人
     */
    WHOLE(0),
    PARTY(1),
    PERSONAL(2);
    public static final Integer CODE = 44;
    private Integer value;

    Dict44MsgRemindScopeEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static Dict44MsgRemindScopeEnum instanceOf(Integer value){
        for(Dict44MsgRemindScopeEnum scopeEnum : Dict44MsgRemindScopeEnum.values()){
            if(scopeEnum.value.equals(value)){
                return scopeEnum;
            }
        }
        return null;
    }
}
