package com.gosingapore.common.enums.dict;

/**
 * 消息推送样式类型字典
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum Dict45MsgRemindStyleTypeEnum {
    /**
     * SUSPENSION：      悬浮窗
     * SCROLLING：       滚动字幕
     */
    SUSPENSION(0),
    SCROLLING(1);
    public static final Integer CODE = 45;
    private Integer value;

    Dict45MsgRemindStyleTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static Dict45MsgRemindStyleTypeEnum instanceOf(Integer value){
        for(Dict45MsgRemindStyleTypeEnum styleTypeEnum : Dict45MsgRemindStyleTypeEnum.values()){
            if(styleTypeEnum.value.equals(value)){
                return styleTypeEnum;
            }
        }
        return null;
    }
}
