package com.gosingapore.common.enums.dict;

/**
 * 消息推送创建类型字段
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum Dict49MsgRemindCreateTypeEnum {
    /**
     * SYSTEM：          系统
     * BUSINESS：        业务
     */
    SYSTEM(0),
    BUSINESS(1);
    public static final Integer CODE = 49;
    private Integer value;

    Dict49MsgRemindCreateTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static Dict49MsgRemindCreateTypeEnum instanceOf(Integer value){
        for(Dict49MsgRemindCreateTypeEnum createTypeEnum : Dict49MsgRemindCreateTypeEnum.values()){
            if(createTypeEnum.value.equals(value)){
                return createTypeEnum;
            }
        }
        return null;
    }
}
