package com.gosingapore.common.enums.resume;

/**
 * @author zbw
 */
@SuppressWarnings("unused")
public enum ResumeFlowEnum {

    /**
     * 工人投递以及邀约作为其他条件，因为是不确定的
     * PROCESSING_DELIVERY: 处理投递
     * ARRANGE_INTERVIEW: 安排面试
     * INTERVIEW_RESULT: 面试结果
     * CHECKED_RESULT: 选中结果
     * PROCEDURE: 手续办理
     * ENTERED:已完成
     */
    PROCESSING_DELIVERY(2),
    ARRANGE_INTERVIEW(3),
    INTERVIEW_RESULT(4),
    CHECKED_RESULT(5),
    PROCEDURE(6),
    ENTERED(7)
    ;
    private Integer value;

    ResumeFlowEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
