package com.gosingapore.common.enums.resume;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zbw
 * @date 2020-06-06
 **/
@AllArgsConstructor
@Getter
public enum  ResumeInterviewEntryTypeEnum {

    /**
     * 1雇主同意某投递，待填写面试计划。
     * 2电文发起面试计划，已填写面试计划。
     * 3面试已通过，面试成功
     */
    EMPLOYER_AGREE(1),
    SENDING_INTERVIEW(2),
    INTERVIEW_PASSED(3),
    ;
    private Integer value;

}
