package com.gosingapore.common.model.domain.cache.data;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/17 17:45
 */
@Data
public class ErpCustomerProfileTemplate implements Serializable {

  private static final long serialVersionUID = -8144033688618452394L;

  @ApiModelProperty("主键")
  @TableId(value = "id",type = IdType.AUTO)
  private Integer id;

  @ApiModelProperty("行业id")
  private Integer industryId;

  @ApiModelProperty("模板内容")
  private String content;

  @ApiModelProperty("类型 1、职位描述 2、自我介绍")
  private Integer flag;

  @ApiModelProperty("创建人")
  private Integer createBy;

  @ApiModelProperty("创建时间")
  private Date createTime;
}
