package com.gosingapore.common.model.domain.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lsl
 * @date 2021-03-29 10:57
 */
@Data
@Accessors(chain = true)
public class ErpMessage implements Serializable {

    private static final long serialVersionUID = -4664430426075008808L;

    @TableId(value = "remind_id",type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Integer remindId;

    @ApiModelProperty("消息分类（127）")
    private Integer classValue;

    @ApiModelProperty("通知范围(44)")
    private Integer scopeValue;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("通知时间")
    private Date pushTime;

    @ApiModelProperty("消息标题")
    private String title;

    @ApiModelProperty("消息内容")
    private String content;

    @ApiModelProperty("跳转类型")
    private String jumpType;

    @ApiModelProperty("跳转参数")
    private String jumpParam;

    @ApiModelProperty("消息创建时间")
    private Date createTime;

    @ApiModelProperty("消息更新时间")
    private Date updateTime;
}
