package com.gosingapore.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/22 14:01
 * 组织架构树
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ErpSysDepartmentTree extends BaseTreeDTO<ErpSysDepartmentTree>{

    @ApiModelProperty("企业微信部门id")
    private Integer departId;

    @ApiModelProperty("部门名称")
    private String name;

    @ApiModelProperty("部门下的人员列表")
    private List<UserBaseInfoDTO> userList;

    public void setDepartId(Integer departId){
        this.departId = departId;
        super.setNoteId(departId);
    }
}
