package com.gosingapore.common.model.dto;

import com.cloud.gs.hiring.common.model.entity.GsCountryPassJob;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author Administrator
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
public class GsJobAgencyFeeDTO extends GsCountryPassJob {

    private static final long serialVersionUID = 1869424074749452750L;

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("中介费下限")
    private Integer agencyFeeMin;

    @ApiModelProperty("中介费上限")
    private Integer agencyFeeMax;

    @ApiModelProperty("国籍名称")
    private String countryName;


}
