package com.gosingapore.common.model.dto.job;

import com.gosingapore.common.enums.dict.Dict107JobTypeEnum;
import lombok.Data;

import java.util.List;

/**
 * @author: QiWenXiao
 */
@Data
public class JobCountryPassDto {

    /**
     * 职位ID
     */
    private Integer jobId;
    /**
     * {@link Dict107JobTypeEnum}
     */
    private Integer jobType;
    /**
     * 职位的国籍
     */
    private List<Integer> countryCode;
    /**
     * 职位的准证类型
     */
    private List<Integer> passCode;

    /**
     * 职位的国籍
     */
    private List<String> countryValue;


    private List<Integer> typeValue;


    private List<String> typeName;
}
