package com.gosingapore.common.model.vo.financial;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author copying
 * @date 2020-12-29
 * 用于已批客户信息表补充信息使用
 */
@Data
public class IpaProcedureValueInfo implements Serializable {

    @ApiModelProperty(name = "投递id")
    private Integer resumeId;

    @ApiModelProperty("手续办理事项")
    private Integer procedureItemId;

    @ApiModelProperty("手续办理事项行为")
    private Integer procedureItemActionId;

    @ApiModelProperty("手续办理事项行为的实际值")
    private String resultChValue;

}
