package com.gosingapore.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author: QiWenXiao
 */
@ConfigurationProperties(prefix = "beetl")
@Component
@Data
public class BeetlProperties {
    /**
     * 取值符号
     */
    private String delimiterPlaceholderStart;
    private String delimiterPlaceholderEnd;
    /**
     * 语句符号
     */
    private String delimiterStatementStart;
    private String delimiterStatementEnd;


    /**
     * 取值符号
     */
    private String delimiterPlaceholderStart2;
    private String delimiterPlaceholderEnd2;
    /**
     * 语句符号
     */
    private String delimiterStatementStart2;
    private String delimiterStatementEnd2;
}
