package com.gosingapore.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author shuyan
 * @date 2020/1/11 13:36
 */
@Data
@ConfigurationProperties(prefix = "feign.transmit")
@Component
@RefreshScope
public class FeignTransmitProperties {
    /**
     * 透传的请求头
     */
    private List<String> headers =new ArrayList<>();
}
