package com.gosingapore.common.properties;

import lombok.Data;

import java.util.List;

/**
 * 企业微信群的消息模板和机器人的 Webhook
 * @author: QiWenXiao
 */
@Data
public class WeChatGroupTemplateWebhook {
    /**
     * 企业微信机器人发消息模板
     */
    private String template;
    /**
     * 企业微信机器人的 webhoot
     */
    private List<String> webhooks;
    /**
     * 国籍
     */
    private Integer nationalityCode;
}
