package com.gosingapore.common.util;

import com.google.common.base.Splitter;

import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author: QiWenXiao
 */
public class UrlParamGetter {

    /**
     * 获取URL中的参数
     * @param url
     * @param name
     * @return
     */
    public static String getUrl(String url, String name){
        String params = url.substring(url.indexOf("?") + 1, url.length());
        Map<String, String> split = Splitter.on("&").withKeyValueSeparator("=").split(params);
        return split.get(name);
    }
}
