package com.gosingapore.common.util;

import org.springframework.http.*;
import org.springframework.web.client.RestTemplate;

/**
 * 参考企业微信官方文档的 markdown 类型
 * https://work.weixin.qq.com/help?person_id=1&doc_id=13376
 * 企业微信机器人发送者
 * @author: QiWenXiao
 */
public class WeChatRobotSender {
    /**
     * markdown类型的消息
     */
    public static final String MARKDOWN_MSG_TYPE = "markdown";

    private static final RestTemplate SENDER = new RestTemplate();
    private static final HttpHeaders headers = new HttpHeaders();
    static {
        headers.setContentType(MediaType.APPLICATION_JSON);
    }

   /* public static ResponseEntity<WeChatRobotResponse> send(String webhook, String content){
        JSONObject root = new JSONObject();
        root.put("msgtype",MARKDOWN_MSG_TYPE);
        JSONObject markdown = new JSONObject();
        markdown.put("content",content);
        root.put("markdown", markdown);
        HttpEntity<String> entity = new HttpEntity<>(root.toJSONString(),headers);
        return SENDER.exchange(webhook, HttpMethod.POST,entity,WeChatRobotResponse.class);
    }*/

    private WeChatRobotSender(){}
}
