package com.gosingapore.common.constants;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/11 9:27
 */
public class RedisConstants {
    /**
     * 用于 存储 字典信息的key
     */
    public static final String ERP_SYS_DICT = "erp_sys_dict";

    /**
     * 用于 存储 新加坡 地铁信息的key
     */
    public static final String ERP_SUBWAY = "erp_subway";

    /**
     * 用于 存储 中国 籍贯信息的key
     */
    public static final String ERP_REGION = "erp_region";

    /**
     * 用于 存储 马来 家乡信息的key
     */
    public static final String ERP_HOMETOWN = "erp_hometown";

    /**
     * 用于 存储 职位类别 信息的key
     */
    public static final String ERP_INDUSTRY = "erp_industry";

    /**
     * 用于储存 工人个人简介模板
     */
    public static final String ERP_CUSTOMER_PROFILE_TEMPLATE = "erp_customer_profile_template";
    /**
     * 用于储存 职位描述模板
     */
    public static final String ERP_JOB_REMARK_TEMPLATE = "erp_job_remark_template";

    /**
     * 用于储存 通用标签
     */
    public static final String ERP_GEN_TAG = "erp_gen_tag";

    /**
     * 用于储存 面试计划
     */
    public static final String INTERVIEW_PLAN = "interview_plan";


    /**
     * 用于储存 企业微信 token
     */
    public static final String ACCESS_TOKEN = "weChat:access_token";

    /**
     * 用于储存 每个文员的添加中介计数
     */
    public static final String ERP_AGENCY_WY_CODE = "erp_agency_wy_code";

    /**
     * 用于储存敏感词信息
     */
    public static final String ERP_SENSITIVE_WORDS = "erp_sensitive_words";
}
