package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ljq
 * @date 2020/03/13
 */
@AllArgsConstructor
public enum CommissionerRoleEnum {
    /**
     * ROLE_COMMISSIONER：专员
     * ROLE_COMMISSIONER_ADMIN：代理管理员
     */
    ROLE_COMMISSIONER("ROLE_COMMISSIONER"),
    ROLE_COMMISSIONER_ADMIN("ROLE_COMMISSIONER_ADMIN");

    @Getter
    private String roleCode;
    public static final int PARTY_CODE = 3;

    public static List<String> getCommissionerRoleList() {
        List<String> list = new ArrayList<>();
        CommissionerRoleEnum[] values = CommissionerRoleEnum.values();
        for (CommissionerRoleEnum item : values) {
            list.add(item.getRoleCode());
        }
        return list;
    }

}
