package com.gosingapore.common.enums;

import lombok.Getter;

/**
 * 售后费用类型字典
 * @author guomeng
 */
@Getter
public enum DictAfterSaleTypeEnum {
    /**
     * AFTER_SALE_CUS:      工人售后
     * AFTER_SALE_INTER:    中介售后
     * AFTER_SALE_EMP:      雇主售后
     */

    AFTER_SALE_CUS(0,"工人售后"),
    AFTER_SALE_INTER(2,"中介售后"),
    AFTER_SALE_EMP(1,"雇主售后");


    private Integer code;

    private String name;

    DictAfterSaleTypeEnum(Integer code, String name){
        this.code = code;
        this.name = name;
    }
}
