package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 雇主公司等级枚举
 *
 * @author 白海波
 * @date 2020/5/14 16:30
 */
@AllArgsConstructor
public enum DwLevelEnum {

    /**
     * ARCHIVE:雇主等级
     * COMPANY：公司等级
     */
    ARCHIVE(1),
    COMPANY(2);

    @Getter
    private Integer code;
}
