package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author guomegn
 */

@AllArgsConstructor
public enum GsCompleteEnum {
    /**
     * TO_AUDIT 待审核
     * BEING_PROCESSED 处理中
     * OFF_THE_STOCKS 已完成
     */

    TO_AUDIT(0),
    BEING_PROCESSED(1),
    OFF_THE_STOCKS(2);

    @Getter
    private Integer value;
}
