package com.gosingapore.common.enums;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author guocong
 * @date 2020/1/16 10:14
 */

public enum GsDwEnum {

    /**
     * 前程中国电文
     */
    QC_CH_DIANWEN("QC_CH_DIANWEN"),
    /**
     * 前程马来电文
     */
    QC_ML_DIANWEN("QC_ML_DIANWEN"),
    /**
     * 前程越南电文
     */
    QC_YN_DIANWEN("QC_YN_DIANWEN"),
    /**
     * 平台伙伴电文
     */
    CP_DIANWEN("CP_DIANWEN");


    @Getter
    private String roleCode;

    GsDwEnum(String roleCode) {
        this.roleCode = roleCode;
    }

    public static List<String> getDwRoleList() {
        List<String> list = new ArrayList<>();
        GsDwEnum[] values = GsDwEnum.values();
        for (GsDwEnum item : values) {
            list.add(item.getRoleCode());
        }
        return list;
    }

}
