package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 节点类型
 * @author ljq
 */

@AllArgsConstructor
public enum GsSysOrgNodeTypeEnum {

    /**
     * USER 用户
     * GROUP 组
     * DEPT 部门
     * REGIONAL 大区
     * COMPANY 公司
     * HEAD_OFFICE 总公司
     */
    USER(0),
    GROUP(1),
    DEPT(2),
    REGIONAL(3),
    COMPANY(4),
    HEAD_OFFICE(5),
    ALL_ORG(6);

    @Getter
    private Integer value;

}
