package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否在公海
 *
 * @author ljq
 */
@AllArgsConstructor
public enum InSeaEnum {
    /**
     * PRIVATE：个人库
     * IN_SEA：公海
     */
    PRIVATE(0),
    IN_SEA(1);

    @Getter
    private Integer value;
}