package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 上限枚举
 * @author guocong
 * @date 2020/2/7 12:35
 */
@AllArgsConstructor
public enum UpperLimitEnum {

    /**
     * 浏览记录上限
     */
    BROWSING(100),
    /**
     * 活动?广告上限
     */
    PLAY(5),

    /**
     *
     */
    JOB_VIDEO(1),
    JOB_PHOTO(9),;

    @Getter
    private Integer value;
}
