package com.gosingapore.common.enums.customer;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ljq
 * @date 2020/03/13
 */
@AllArgsConstructor
public enum CustomerRoleEnum {
    /**
     * ROLE_CUSTOMER：工人
     */
    ROLE_CUSTOMER("ROLE_CUSTOMER");

    @Getter
    private String roleCode;
    public static final int PARTY_CODE = 5;

    public static List<String> getCustomerRoleList() {
        List<String> list = new ArrayList<>();
        CustomerRoleEnum[] values = CustomerRoleEnum.values();
        for (CustomerRoleEnum item : values) {
            list.add(item.getRoleCode());
        }
        return list;
    }

}
