package com.gosingapore.common.enums.dict;

/**
 * @author zbw
 */
@SuppressWarnings("unused")
public enum Dict104SubwayRelationEnum {

    /**
     * JOB: 职位表
     * CUSTOMER: 工人表
     * COMPANY: 公司表
     * COMPANY_CHILD_REVIEW: 档口公司待审核表
     * INTERVIEW: 面试表
     */
    JOB(0),
    CUSTOMER(1),
    COMPANY(2),
    COMPANY_CHILD_REVIEW(3),
    INTERVIEW(4),
    ;
    public static final Integer CODE = 104;
    private Integer value;

    Dict104SubwayRelationEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
