package com.gosingapore.common.enums.dict;

/**
 * 职位分类
 *
 * @author ljq
 */
@SuppressWarnings("unused")
public enum Dict107JobTypeEnum {
    /**
     * Self Standard：           自营一手单:前程
     * Self Nonstandard：        自营二手单:鸿跃
     * Partner Standard：        伙伴标准:
     * Partner Nonstandard：     伙伴非标:
     */
    SELF_STANDARD(1),
    SELF_NONSTANDARD(2),
    PARTNER_STANDARD(3),
    PARTNER_NONSTANDARD(4);
    public static final Integer CODE = 107;
    private Integer value;

    Dict107JobTypeEnum(Integer value) {
        this.value = value;
    }

    public static Dict107JobTypeEnum get(Integer jobType) {
        for (Dict107JobTypeEnum value : values()) {
            if (value.getValue().equals(jobType)) {
                return value;
            }
        }
        return null;
    }

    public Integer getValue() {
        return value;
    }
}
