package com.gosingapore.common.enums.dict;

/**
 * @author guocong
 * @date 2020/3/16 15:25
 */
@SuppressWarnings("unused")
public enum Dict115UserAgreementType {

    /**
     * USER_AGREEMENT：           使用条款
     * PRIVACY_AGREEMENT：        隐私政策
     * JOB_AGREEMENT：            职位发布规则
     * SERVICE_AGREEMENT：        职位服务规则
     */
    USER_AGREEMENT(1),
    PRIVACY_AGREEMENT(2),
    JOB_AGREEMENT(3),
    SERVICE_AGREEMENT(4);
    public static final Integer CODE = 115;
    private Integer value;

    Dict115UserAgreementType(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
