package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * app消息范围类型
 * @author shuyan
 * @date 2020/4/22 19:17
 */
@AllArgsConstructor
public enum Dict122AppMsgScopeTypeEnum {
    /**
     *
     */
    ALL_REGISTERED(1),
    ROLE(2),
    USER(3),
    CLIENT(4);

    @Getter
    private Integer value;

    public static Dict122AppMsgScopeTypeEnum instanceOf(Integer value){
        for(Dict122AppMsgScopeTypeEnum typeEnum : Dict122AppMsgScopeTypeEnum.values()){
            if(typeEnum.getValue().equals(value)){
                return typeEnum;
            }
        }
        return null;
    }
}
