package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 白海波
 * @date 2020/6/16 14:05
 */
@Getter
@AllArgsConstructor
public enum Dict149CashOutEnum {

    /**
     * IN_EXCHANGE : 1 兑换中
     * EXCHANGE_SUCCEEDED：2 已兑换成功
     */
    IN_EXCHANGE(1, "兑换中"),
    EXCHANGE_SUCCEEDED(2, "已兑换成功");

    private Integer code;

    private String value;

    public static final Integer CODE = 149;

    public static Dict149CashOutEnum instanceOf(Integer code) {
        for (Dict149CashOutEnum dict149CashOutEnum : Dict149CashOutEnum.values()) {
            if (code.equals(dict149CashOutEnum.getCode())) {
                return dict149CashOutEnum;
            }
        }
        return null;
    }
}
