package com.gosingapore.common.enums.dict;

/**
 * 工作状态字典
 *
 * @author zbw
 */
public enum Dict14WorkStateEnum {
    /**
     * 1	随时面试开工	Interview to start work at any time
     * 2	现在有工作，考虑机会	Have a job, consider opportunities
     * 3	随便看看	Looking around
     * 4	完全不想找工作	Don't want to find jobs.
     */
    ANY_TIME(1),
    HAS_JOB(2),
    LOOK_AROUND(3),
    DO_NOT_WANT_JOB(4)
    ;

    public static final int CODE = 14;
    private Integer value;

    Dict14WorkStateEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
