package com.gosingapore.common.enums.dict;

/**
 * 宗教字典
 *
 * @author ljq
 */
public enum Dict15ReligionEnum {
    /**
     * NONE 无
     * CHRISTIANITY 基督教
     * ISLAMISM 伊斯兰教
     * BUDDHISM 佛教
     */
    NONE(0),
    CHRISTIANITY(1),
    ISLAMISM(2),
    BUDDHISM(3);

    public static final int CODE = 15;
    private Integer value;

    Dict15ReligionEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
