package com.gosingapore.common.enums.dict;


/**
 * @author zbw
 */
@SuppressWarnings("unused")
public enum Dict58ResumeViewStatusEnum {

    /**
     * DELIVERED: 已投递
     * INTERESTED: 有意向
     * NOT_INTERESTED: 无意向
     * INTERVIEW: 约面试
     * INTERVIEW_PASSED: 面试通过
     * INTERVIEW_FAILED: 面试未通过
     * NOT_PASSED: 未选中
     * PASSED: 已选中
     * TREATMENT_PAPER: 签约待遇
     * GOT_IPA: 已下批文
     * COMPLETED: 已完成
     */
    DELIVERED(11),
    INTERESTED(13),
    NOT_INTERESTED(15),
    INTERVIEW(17),
    INTERVIEW_PASSED(19),
    INTERVIEW_FAILED(21),
    NOT_PASSED(23),
    PASSED(25),
    GOT_IPA(29),
    COMPLETED(50);
    public static final Integer CODE = 58;
    private Integer value;

    Dict58ResumeViewStatusEnum(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }
}
