package com.gosingapore.common.enums.dict;

/**
 * @author ZhangJinyu
 */
public enum Dict70ManagementModel implements IDictValue {

    /**
     * 托管模式
     */
    HOSTED(1),
    /**
     * 隔离模式
     */
    ISOLATION(2);
    private Integer value;
    public static final int CODE_TYPE = 70;

    Dict70ManagementModel(Integer value) {
        this.value = value;
    }


    @Override
    public Integer getCodeType() {
        return CODE_TYPE;
    }

    @Override
    public Integer getValue() {
        return value;
    }
}
