package com.gosingapore.common.enums.financial;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author fangqiguang
 * @date 2020/7/21
 */
@AllArgsConstructor
@Getter
public enum FinancialTodoEnum {

    /**
     * scheme 方案 129方案一， 130方案二，0不区分方案
     * costTypes 费用类型
     * remark 描述
     */
    SERVICE_FEE(0, "1", "服务费"),
    INTERVIEW_DEPOSIT(129, "2", "面试保证金"),

    REGISTERY_FEE(130, "2", "报名费"),
    APPLICATION_FEE(130, "3", "申请费"),
    CHINA_FEE(130, "4", "中国尾款"),
    SINGAPORE_FEE(130, "5", "新加坡尾款"),
    INSPECTION_FEE(130,"7","检测费"),
    OTHER_FEE(130,"8","其他费用");

    private Integer scheme;
    private String costType;
    private String remark;


}
