package com.gosingapore.common.enums.operate;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author guocong
 * @date 2020/8/21 11:34
 */
@AllArgsConstructor
public enum ReportTypeEnum {


    /**
     * 伙伴中介成单总数
     */
    PARTNER_BILLING(1, "伙伴中介成单总数"),
    /**
     * 伙伴中介招聘工人国籍统计
     */
    CUSTOMER_COUNTRY(2, "伙伴中介招聘工人国籍统计"),
    /**
     * 代理公司工人统计
     */
    COMMISSIONER_COUNTRY(3, "代理公司工人统计");

    @Getter
    private Integer code;

    @Getter
    private String value;

    public static ReportTypeEnum instanceOf(Integer reportType) {
        for (ReportTypeEnum reportTypeEnum : ReportTypeEnum.values()) {
            if (reportTypeEnum.code.equals(reportType)) {
                return reportTypeEnum;
            }
        }
        return null;
    }
}
