package com.gosingapore.common.enums.task;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author dyh
 * @date 2020/6/3
 */
@Getter
@AllArgsConstructor
public enum TaskStatusEnum {
    /**
     * 任务状态 对应task表与task_customer的status
     */
    CLOSED(0,"已关闭"),
    PROCESSING(1,"进行中"),
    HAS_NOT_STATED(2,"未开始"),
    RECEIVING_QUANTITY_LIMIT(3,"领取已达到上限"),
    COMPLETED(4,"已完成"),
    TO_BE_COMPLETED(5,"待完成");



    private Integer code;
    private String value;
}
