package com.gosingapore.common.model.domain.cache.data;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/11 9:27
 * 地铁线路
 */
@Data
public class ErpSubway {

  /**
   * 地铁站点主键
   */
  @ApiModelProperty("地铁站点主键")
  private Integer subwayId;

  /**
   * 站点名 中
   */
  @ApiModelProperty("站点名 中")
  private String chName;

  /**
   * 站点名 英
   */
  @ApiModelProperty("站点名 英")
  private String enName;

  /**
   * 父级 站点id
   */
  @ApiModelProperty("父级 站点id")
  private Integer parentId;

  /**
   * 颜色 标志
   */
  @ApiModelProperty("颜色 标志")
  private String color;

  /**
   *创建时间
   */
  @ApiModelProperty("创建时间")
  private Date createTime;

  /**
   *更新时间
   */
  @ApiModelProperty("更新时间")
  private Date updateTime;

  /**
   *删除标识
   */
  @ApiModelProperty("删除标识")
  private Integer delFlagValue;

}
