package com.gosingapore.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.Set;

/**
 * @author lsl
 * @date 2021-02-19 11:40
 */
@Data
@ToString
public class ErpLoginUser {

    private static final long serialVersionUID = -7517169335985544812L;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Integer userId;

    /**
     * 用户名称
     */
    @ApiModelProperty("用户名称")
    private String userName;

    /**
     * 手机号 账号
     */
    @ApiModelProperty("手机号 账号")
    private String mobile;

    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;

    /**
     * 角色列表
     */
    @ApiModelProperty("角色列表")
    private Set<String> roles;
    private Set<String> roleNames;

    /**
     * 组id
     */
    @ApiModelProperty("组id")
    private Integer groupId;

    @ApiModelProperty("组名称")
    private String groupName;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Integer departmentId;

    @ApiModelProperty("部门名称")
    private String departmentName;

    /**
     * 公司id
     */
    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    /**
     * 级别 字典106
     */
    @ApiModelProperty("级别 字典106")
    private Integer gradeValue;

    /**
     * 别名
     */
    @ApiModelProperty("别名")
    private String alias;

    /**
     * 头像
     */
    @ApiModelProperty("头像")
    private String headImg;

    /**
     * 在职员工状态（66）
     */
    @ApiModelProperty("在职员工状态（66）")
    private Integer jobStatusValue;

    /**
     * 入职时间
     */
    @ApiModelProperty("入职时间")
    private Date entryTime;
}
