package com.gosingapore.common.model.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 职位匹配  职位对象
 * @author lsl
 * @date 2021-04-13 10:18
 */
@Data
public class JobDTO implements Serializable {
    private static final long serialVersionUID = 1026179749686603168L;

    private Integer id;
    private String jobName;
    private String showJobId;
    private Integer jobBillType;
    private Integer gradeValue;
    private String grade;
    private BigDecimal chargeMin;
    private BigDecimal chargeMax;
    private BigDecimal baseSalary;
    private BigDecimal referSalaryMin;
    private BigDecimal referSalaryMax;
    private Integer industryId;
    private Integer parentIndustryId;
    private Integer sexValue;
    private String workTimeStart;
    private String workTimeEnd;
    private Integer rest;
    private String remark;
    private Integer jobSourceType;
    private Integer jobType;
    private Integer delFlag;
    private Integer statusValue;
    private Integer onlineUserId;
    private String dwName;
    private Date updateTime;
    private List<Integer> permit;
    private List<Integer> country;
    private List<String> welfare;


}
