package com.gosingapore.common.model.dto.members;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.Instant;

/**
 * @author : huangchengqian
 * @date : 2020-10-13 18:34
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("面试职位")
public class InterviewResumeDTO extends ResumeDTO {

    @ApiModelProperty("雇主同意时间")
    private Instant employerAgreeTime;

    @ApiModelProperty(name = "面试类型",hidden = true)
    private Integer interviewType;

    @ApiModelProperty("面试方式")
    private String interviewName;

    @ApiModelProperty("面试时间")
    private Instant interviewTime;

    @ApiModelProperty("雇主收费")
    private BigDecimal employerFee;
}

