package com.gosingapore.common.model.dto.members;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.Instant;
import java.util.List;

/**
 * @author : huangchengqian
 * @date : 2020-10-13 18:34
 **/
@Data
@ApiModel("职位")
public class ResumeDTO {
    @ApiModelProperty("投递id")
    private Integer resumeId;
    @ApiModelProperty("工人id")
    private Integer customerId;
    @ApiModelProperty("工人名称")
    private String customerName;
    @ApiModelProperty("职位id")
    private Integer jobId;
    @ApiModelProperty("单号")
    private String jobCode;
    @ApiModelProperty("职位名称")
    private String jobName;
    @ApiModelProperty("电文id")
    private Integer dwId;
    @ApiModelProperty("电文名称")
    private String dwName;
    @ApiModelProperty("业务id")
    private Integer ywId;
    @ApiModelProperty("业务名称")
    private String yeName;
    @ApiModelProperty("当前状态")
    private Integer currentStatus;
    @ApiModelProperty("当前文字状态")
    private String currentStatusName;
    @ApiModelProperty("准证id集")
    private List<Integer> passIds;
    @ApiModelProperty("准证名称")
    private String passName;
    @ApiModelProperty("最近备注")
    private String currentRemark;
    @ApiModelProperty("业务同意时间")
    private Instant ywAgreeTime;
    @ApiModelProperty("职位类别名称")
    private String industryName;
    /** 用于查询 对应电文 1，2 自营 3，4 cp*/
    @ApiModelProperty("职位类型")
    private Integer jobType;

    @ApiModelProperty("工人国籍")
    private Integer countryValue;
}

