package com.gosingapore.common.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author gcl
 * @date 2020/10/13 10:23
 */
@Data
@Accessors
public class CpDwPrivateLibraryMaximumLimitVo {

    @ApiModelProperty("实际库容量")
    private Integer libraryCount;

    @ApiModelProperty("最大库容限制")
    private Integer maximumLimit;

    @ApiModelProperty("意向库实际容量")
    private Integer intentionStoreCount;

    @ApiModelProperty("出单库实际容量")
    private Integer orderStoreCount;

    @ApiModelProperty("出单库库容限制")
    private Integer orderStoreLimit;

    @ApiModelProperty("已批库实际容量")
    private Integer approvedStoreCount;

    @ApiModelProperty("已批库库容限制")
    private Integer approvedStoreLimit;

}
