package com.gosingapore.common.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author copying
 * @version 3.0
 * @date 2021/4/17 14:53
 */
@Data
public class LibUserInfoVO {

    @ApiModelProperty("组员id")
    private Integer userId;

    @ApiModelProperty("名字")
    private String userName;

    @ApiModelProperty(value = "所属部门",hidden = true)
    private String departName;

    /** 组别*/
    @ApiModelProperty("组别")
    private String groupName;

    /** 所属组id*/
    @ApiModelProperty("所属组id")
    private Integer groupId;

    /** 角色*/
    @ApiModelProperty("角色")
    private String roleName;

    /** 角色code */
    @ApiModelProperty("角色code")
    private String roleCode;

    /** 员工状态 */
    @ApiModelProperty("员工状态")
    private String jobStatusName;

    /** 入职时间 */
    @ApiModelProperty("入职时间")
    private Date entryTime;

    /** 手机号 */
    @ApiModelProperty("手机号")
    private String mobile;
}
