package com.gosingapore.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author shuyan
 * @date 2020/1/11 10:09
 */
@Data
@ConfigurationProperties(prefix = "ali-cloud.oss")
@Component
@RefreshScope
public class AliCloudOssProperties {
    @Resource
    private AliCloudProperties accessKey;

    private String url;
    private String bucket;
    private String endpoint;
}
