package com.gosingapore.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author shuyan
 */
@Data
@ConfigurationProperties(prefix = "ali-cloud")
@Component
@RefreshScope
public class AliCloudProperties {
    private String accessKeyId;
    private String accessKeySecret;
}
