package com.gosingapore.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author shuyan
 */
@Data
@ConfigurationProperties(prefix = "basic-security")
@Component
@RefreshScope
public class BasicSecurityProperties {
    private String username;

    private String password;

    private List<String> path;
}
