package com.gosingapore.common.properties.robot;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author copying
 * @date 2021-1-12
 *
 * 工人收费通知类型配置类
 */
@ConfigurationProperties(prefix = "charge-advice")
@Component
@RefreshScope
public class ChargeAdviceProperties {
    private List<Integer> costType = new ArrayList<>();

    public List<Integer> getCostType() {
        return costType;
    }

    public void setCostType(List<Integer> talentPool) {
        this.costType = costType;
    }
}
