package com.gosingapore.common.util;

import java.util.HashMap;

/**
 * @author ZhangJinyu
 * @since 2020-03-26
 */
public class HashMapUtil {


    /**
     * 创建HashMap
     *
     * @param initialCapacity 初始容量
     * @param <K>             泛型key
     * @param <V>             泛型value
     * @return new HashMap(initialCapacity+1,1)
     */
    public static <K, V> HashMap<K, V> createHashMap(int initialCapacity) {
        return new HashMap<>(initialCapacity + 1, 1);
    }
}
