package com.gosingapore.common.util;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author: QiWenXiao
 */
@Component
public class SpringEnvironmentUtil {
    public static final String DEV = "dev";
    public static final String TEST = "test";
    public static final String PRO = "pro";
    @Value("${service-start-report.environment}")
    private String environment;

    public String getEnvironment() {
        if (StringUtils.containsIgnoreCase(this.environment, DEV)) {
            return DEV;
        }
        if (StringUtils.containsIgnoreCase(this.environment, TEST)) {
            return TEST;
        }
        if (StringUtils.containsIgnoreCase(this.environment, PRO)) {
            return PRO;
        }
        return null;
    }

}
