package com.gosingapore.log.service;

import com.cloud.gs.hiring.api.RemoteLogService;
import com.cloud.gs.hiring.common.model.domain.ErpSysOperateLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 异步调用日志服务
 * 
 * @author lsl
 */
@Component
public class AsyncLogService
{
    @Resource
    private RemoteLogService remoteLogService;

    /**
     * 保存操作日志记录
     */
    @Async
    public void saveSysLog(ErpSysOperateLog sysOperateLog)
    {
        remoteLogService.saveLog(sysOperateLog);
    }
}
